#include "util.h"
#include <stdlib.h>

typedef struct _priority_list {		//struktura drzici spojak s programy spoustenymi dle ohodnoceni zpravy
 int min;//minimalni priorita zporavy pro spusteni tohohle programu
 int max;//minimalni priorita zporavy pro spusteni tohohle programmu
 char *prog;//program ke spusteni
 struct _priority_list *next;//dalsi zaznam ve spojaku
} priority_list;

typedef struct {	//hlavni struktura s veskerou komunikaci
 int pop3_port;       //POP3 port
 int smtp_port;       //SMTP port
 char *blacklistfile; //soubor s blacklistem
 char *whitelistfile; //soubor s blacklistem
 tree *blacklist;     //blacklistovane emaily/domeny
 tree *whitelist;     //whitelistovane emaily/domeny
 int blacklist_level; //uroven na jakou se nastavi hodnota emailu s odelilatelem v blacklistu
 int whitelist_level; //uroven na jakou se nastavi hodnota emailu s odelilatelem ve whitelistu
 priority_list *p_prefilt;//program na predzpracovani zpravy
 char *p_class;    //program na klasifikaci emailu
 priority_list *p_postfilt;  //program na eventuelni zmenu vysledne zpravy
 priority_list *p_postact; //programy spoustene na zpravy
 priority_list *subject_mark; //oznacovani subjektu
 int refcount;               //citac pouziti -> kdyz je na 0, zlikviduje se
 char *remotesmtp;    //vzdaleny SMTP host, kam jsou mail preposilany
} config;
