#!/usr/bin/perl
use strict;
use POSIX;

my $cwd=getcwd();
$cwd=~s/\//\\/g;
my $dbfile="_b_doc.dbd";
my $warnfile="_b_warn.txt";
my $perl="/usr/bin/perl";
if (! -e $perl) {
 $perl="e:\\perl\\bin\\perl";
}
my $sourcedir="..";

unlink($dbfile);
unlink($warnfile);

opendir(XD,$sourcedir);
my $n=0;
while (my $i=readdir(XD)){
 $_=$i;
 if (/^.*\.(c|cpp|h)$/i) {
  print "Parsing $_\n";
  system("$perl b_pdoc.pl $sourcedir/$_ $dbfile >>$warnfile");
  $n++;
 }
}
closedir(XD);
if ($n>0) {
 system("$perl b_hdoc.pl $dbfile");
} else {
 print("No source files found\n")
}
